
From: Martin Waitz <tali@admingilde.org>

Fix XML in templates

Signed-off-by: Martin Waitz <tali@admingilde.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/DocBook/librs.tmpl        |    2 +-
 25-akpm/Documentation/DocBook/mtdnand.tmpl      |   10 +++++-----
 25-akpm/Documentation/DocBook/procfs-guide.tmpl |    2 +-
 25-akpm/Documentation/DocBook/sis900.tmpl       |    2 +-
 25-akpm/Documentation/DocBook/via-audio.tmpl    |    2 +-
 25-akpm/Documentation/DocBook/videobook.tmpl    |    6 +++---
 6 files changed, 12 insertions(+), 12 deletions(-)

diff -puN Documentation/DocBook/librs.tmpl~docbook-fix-xml-in-templates Documentation/DocBook/librs.tmpl
--- 25/Documentation/DocBook/librs.tmpl~docbook-fix-xml-in-templates	2005-03-11 12:32:29.000000000 -0800
+++ 25-akpm/Documentation/DocBook/librs.tmpl	2005-03-11 12:32:29.000000000 -0800
@@ -225,7 +225,7 @@ int numerr, errpos[8];
 .....
 /* Decode 512 byte in data8.*/
 numerr = decode_rs8 (rs_decoder, NULL, NULL, 512, syn, 0, errpos, 0, corr);
-for (i = 0; i < numerr; i++) {
+for (i = 0; i &lt; numerr; i++) {
 	do_error_correction_in_your_buffer(errpos[i], corr[i]);
 }
 		</programlisting>
diff -puN Documentation/DocBook/mtdnand.tmpl~docbook-fix-xml-in-templates Documentation/DocBook/mtdnand.tmpl
--- 25/Documentation/DocBook/mtdnand.tmpl~docbook-fix-xml-in-templates	2005-03-11 12:32:29.000000000 -0800
+++ 25-akpm/Documentation/DocBook/mtdnand.tmpl	2005-03-11 12:32:29.000000000 -0800
@@ -240,9 +240,9 @@ static void board_hwcontrol(struct mtd_i
 	struct nand_chip *this = (struct nand_chip *) mtd->priv;
 	switch(cmd){
 		case NAND_CTL_SETCLE: this->IO_ADDR_W |= CLE_ADRR_BIT;  break;
-		case NAND_CTL_CLRCLE: this->IO_ADDR_W &= ~CLE_ADRR_BIT; break;
+		case NAND_CTL_CLRCLE: this->IO_ADDR_W &amp;= ~CLE_ADRR_BIT; break;
 		case NAND_CTL_SETALE: this->IO_ADDR_W |= ALE_ADRR_BIT;  break;
-		case NAND_CTL_CLRALE: this->IO_ADDR_W &= ~ALE_ADRR_BIT; break;
+		case NAND_CTL_CLRALE: this->IO_ADDR_W &amp;= ~ALE_ADRR_BIT; break;
 	}
 }
 		</programlisting>
@@ -393,7 +393,7 @@ static void board_select_chip (struct mt
 	/* Deselect all chips, set all nCE pins high */
 	GPIO(BOARD_NAND_NCE) |= 0xff;	
 	if (chip >= 0)
-		GPIO(BOARD_NAND_NCE) &= ~ (1 << chip);	
+		GPIO(BOARD_NAND_NCE) &amp;= ~ (1 &lt;&lt; chip);
 }
 		</programlisting>
 		<para>
@@ -407,8 +407,8 @@ static void board_select_chip (struct mt
 	struct nand_chip *this = (struct nand_chip *) mtd->priv;
 	
 	/* Deselect all chips */
-	this->IO_ADDR_R &= ~BOARD_NAND_ADDR_MASK;
-	this->IO_ADDR_W &= ~BOARD_NAND_ADDR_MASK;
+	this->IO_ADDR_R &amp;= ~BOARD_NAND_ADDR_MASK;
+	this->IO_ADDR_W &amp;= ~BOARD_NAND_ADDR_MASK;
 	switch (chip) {
 	case 0:
 		this->IO_ADDR_R |= BOARD_NAND_ADDR_CHIP0;
diff -puN Documentation/DocBook/procfs-guide.tmpl~docbook-fix-xml-in-templates Documentation/DocBook/procfs-guide.tmpl
--- 25/Documentation/DocBook/procfs-guide.tmpl~docbook-fix-xml-in-templates	2005-03-11 12:32:29.000000000 -0800
+++ 25-akpm/Documentation/DocBook/procfs-guide.tmpl	2005-03-11 12:32:29.000000000 -0800
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
 	"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
-<!ENTITY procfsexample SYSTEM "procfs_example.sgml">
+<!ENTITY procfsexample SYSTEM "procfs_example.xml">
 ]>
 
 <book id="LKProcfsGuide">
diff -puN Documentation/DocBook/sis900.tmpl~docbook-fix-xml-in-templates Documentation/DocBook/sis900.tmpl
--- 25/Documentation/DocBook/sis900.tmpl~docbook-fix-xml-in-templates	2005-03-11 12:32:29.000000000 -0800
+++ 25-akpm/Documentation/DocBook/sis900.tmpl	2005-03-11 12:32:29.000000000 -0800
@@ -20,7 +20,7 @@
 </author>
 </authorgroup>
 
-<edition>Document Revision: 0.3 for SiS900 driver v1.06 & v1.07</edition>
+<edition>Document Revision: 0.3 for SiS900 driver v1.06 &amp; v1.07</edition>
 <pubdate>November 16, 2000</pubdate>
 
 <copyright>
diff -puN Documentation/DocBook/via-audio.tmpl~docbook-fix-xml-in-templates Documentation/DocBook/via-audio.tmpl
--- 25/Documentation/DocBook/via-audio.tmpl~docbook-fix-xml-in-templates	2005-03-11 12:32:29.000000000 -0800
+++ 25-akpm/Documentation/DocBook/via-audio.tmpl	2005-03-11 12:32:29.000000000 -0800
@@ -264,7 +264,7 @@ Version 1.1.15
 
    <listitem>
     <para>
-    Fixes for the SPEED, STEREO, CHANNELS, FMT ioctls when in read &
+    Fixes for the SPEED, STEREO, CHANNELS, FMT ioctls when in read &amp;
     write mode (Rui Sousa)
     </para>
    </listitem>
diff -puN Documentation/DocBook/videobook.tmpl~docbook-fix-xml-in-templates Documentation/DocBook/videobook.tmpl
--- 25/Documentation/DocBook/videobook.tmpl~docbook-fix-xml-in-templates	2005-03-11 12:32:29.000000000 -0800
+++ 25-akpm/Documentation/DocBook/videobook.tmpl	2005-03-11 12:32:29.000000000 -0800
@@ -523,7 +523,7 @@ static unsigned long current_freq;
                         if(copy_from_user(arg, &amp;freq, 
                                 sizeof(unsigned long))!=0)
                                 return -EFAULT;
-                        if(hardware_set_freq(freq)<0)
+                        if(hardware_set_freq(freq)&lt;0)
                                 return -EINVAL;
                         current_freq = freq;
                         return 0;
@@ -1552,9 +1552,9 @@ static struct video_buffer capture_fb;
                         struct video_window v;
                         if(copy_from_user(&amp;v, arg, sizeof(v)))
                                 return -EFAULT;
-                        if(v.width > 640 || v.height > 480)
+                        if(v.width &gt; 640 || v.height &gt; 480)
                                 return -EINVAL;
-                        if(v.width < 16 || v.height < 16)
+                        if(v.width &lt; 16 || v.height &lt; 16)
                                 return -EINVAL;
                         hardware_set_key(v.chromakey);
                         hardware_set_window(v);
_
